# 用户表 sys_user

| 列名 | 数据类型 | 约束条件 | 含义 |
| ---- | -------- | -------- | ---- |
| id | bigint | primary key; identity | 用户id |
| user_name | varchar | not null | 用户名 |
| password | varchar | not null | 密码 |

# 论文 sys_paper

| 列名 | 数据类型 | 约束条件 | 含义 |
| ---- | -------- | -------- | ---- |
| id | bigint | primary key; identity | 论文id |
| title | varchar | not null | 论文标题 |
| type | varchar | not null | 论文类型 |
| author | varchar | not null | 论文作者 |
| profession | varchar | not null | 学科专业 |
| school | varchar | not null | 学校 |
| year | int | not null | 学位年度 |
| summary | longtext | not null | 摘要 |
| tag | varchar | not null | 论文标签 |
| html_content | longblob | not null | 论文html内容 |
| pdf_content | longblob | not null | 论文pdf内容 |
| txt_content | longblob | not null | 论文pdf内容 |
| create_time | Long | not null | 创建时间戳 |

# 论文评价 sys_paper_rating
| 列名 | 数据类型 | 约束条件 | 含义 |
| ---- | -------- | -------- | ---- |
| id | bigint | primary key; identity | 评价id |
| score1 | int | not null | 帮助分 |
| score2 | int | not null | 严谨分 |
| score3 | int | not null | 推荐分 |
| paper_id | bigint | not null | 论文id |
| user_name | varchar | not null | 评价用户 |

# html笔记内容表 sys_paper_note

| 列名 | 数据类型 | 约束条件 | 含义 |
| ---- | -------- | -------- | ---- |
| id | bigint | primary key; identity | 文件id |
| paper_id | bigint | not null | 论文id |
| user_name | varchar | not null | 修改用户 |
| html_content | longblob | not null | html代码 |

# 笔记 sys_note

| 列名 | 数据类型 | 约束条件 | 含义 |
| ---- | -------- | -------- | ---- |
| note_id | varchar | primary key | 笔记id |
| note_title | varchar | not null | 笔记标题 |
| note_content | varchar | not null | 笔记内容 |
| paper_id | bigint | not null | 论文id |
| paper_note_id | bigint | not null | html笔记id |
| user_name | varchar | not null | 笔记用户 |

# 收藏 sys_collect

| 列名 | 数据类型 | 约束条件 | 含义 |
| ---- | -------- | -------- | ---- |
| id | bigint | primary key; identity | 收藏id |
| paper_id | bigint | not null | 收藏论文id |
| user_name | varchar | not null | 收藏用户 |
| create_time | Long | not null | 收藏时间戳 |

# 词库 sys_word
| 列名 | 数据类型 | 约束条件 | 含义 |
| ---- | -------- | -------- | ---- |
| word | varchar | primary key;binary; not null | 词语 |
| flag | varchar | not null | 词性 |

# 相似度 sys_similarity
| 列名 | 数据类型 | 约束条件 | 含义 |
| ---- | -------- | -------- | ---- |
| source_paper | bigint | primary key; not null | 论文id |
| target_paper | bigint | primary key; not null | 论文id |
| similarity | double | not null | 相似度 |