package com.bupt.note;

import com.bupt.note.Model.Paper;
import com.bupt.note.Repository.PaperRepository;
import com.bupt.note.Repository.RatingRepository;
import com.bupt.note.Repository.SimilarityRepository;
import com.bupt.note.service.FileService;
import org.junit.jupiter.api.BeforeEach;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.http.MediaType;
import org.springframework.test.web.servlet.MockMvc;
import org.springframework.test.web.servlet.request.MockHttpServletRequestBuilder;
import org.springframework.test.web.servlet.request.MockMvcRequestBuilders;
import org.springframework.test.web.servlet.result.MockMvcResultHandlers;
import org.springframework.test.web.servlet.setup.MockMvcBuilders;
import org.springframework.web.context.WebApplicationContext;

import java.util.ArrayList;
import java.util.List;

@SpringBootTest
class NoteApplicationTests {

    @Autowired
    private WebApplicationContext context;

    protected MockMvc mvc;

    @Autowired
    private FileService fileService;

    @Autowired
    private PaperRepository paperRepository;

    @Autowired
    private RatingRepository ratingRepository;

    @Autowired
    private SimilarityRepository similarityRepository;

    @BeforeEach
    public void setUp() {
        mvc = MockMvcBuilders.webAppContextSetup(context).build();
    }

    //注册接口
    @Test
    public void testSignup() throws Exception {
        MockHttpServletRequestBuilder builder = MockMvcRequestBuilders.post("/v1/api/sign_up")
                .content("{\"userName\":\"test\",\"password\":\"123\"}")
                .contentType(MediaType.APPLICATION_JSON);
        mvc.perform(builder).andDo(MockMvcResultHandlers.print());
    }

    @Test
    public void testPaper(){
        List<Paper> ids= paperRepository.recommendWithSim(new ArrayList<>(){{
            add(5L);
        }});
    }
}
